Bug 147755 - Can't use "Tools > Symbols" dialog in math formula editor (StR in comment 3)
Summary: Can't use "Tools > Symbols" dialog in math formula editor (StR in comment 3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
7.3.1.3 release
Hardware: All All
: medium normal
Assignee: Arnaud Versini
URL:
Whiteboard: target:7.4.0 target:7.3.2
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2022-03-04 00:16 UTC by Pierre C
Modified: 2022-03-19 17:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre C 2022-03-04 00:16:44 UTC
Just create a new math equation

Try to insert a symbol using icon Omega

None of the symbols are inserted

Tested LO 7.4 dev and 7.3.1.3
Comment 1 sprau 2022-03-04 13:58:32 UTC
I've the same problem with some characters:

I can't insert `(small space) or  ^ in a formula by pressing the correct key - instead I have to use the icons of the formula editor

LO: 7.3.0.3
ubuntu: Kernel: 5.13.0-30-generic x86_64

This I observed the complete LO 7.3.0.x versions in the last weeks.

Regards
Comment 2 Arnaud Versini 2022-03-04 19:22:13 UTC
Confirmed on :

Version: 7.3.1.1 / LibreOffice Community
Build ID: 30(Build:1)
CPU threads: 8; OS: Linux 5.16; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: en-US
Calc: threaded
Comment 3 Ming Hua 2022-03-05 07:46:46 UTC
More detailed steps to reproduce:
1. In Writer start the formula editor via "Insert > Object > Formula Object..." menu;
2. The UI changed to Math formula editor, open the Symbols dialog with "Tools > Symbols..." menu;
3. Choose a Greek letter, press "Insert" button.

Actual Result: Nothing happens.

Expected Result: Math code like "%alpha" inserted into the formula code pane at the bottom, Greek letter like "α" inserted into the formula object in the display pane at the middle.

Directly typing code like "%alpha" in the code pane works fine and can be used as a workaround.

The same problem occurs if one opens Math directly instead of inserting formula in Writer in step 1, or uses button on toolbar (I assume this is what the reporter means by "using icon Omega" in comment 0) instead of menu to invoke the dialog in step 2.

Can not reproduce the "can't insert `(small space) or ^ in a formula by pressing the correct key" claim in comment 1.

Reproduced with 7.3.1 RC2 on Windows 10:
Version: 7.3.1.2 (x64) / LibreOffice Community
Build ID: 9fff0292474d6d0bf5df787b512c71d9ac4bc98e
CPU threads: 2; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: zh-CN (zh_CN); UI: zh-CN
Calc: threaded

But can not reproduce (symbols inserted as expected) with 7.1.7:
Version: 7.1.7.2 (x64) / LibreOffice Community
Build ID: c6a4e3954236145e2acb0b65f68614365aeee33f
CPU threads: 2; OS: Windows 10.0 Build 19043; UI render: default; VCL: win
Locale: zh-CN (zh_CN); UI: zh-CN
Calc: threaded

Tagged as regression and bibisection requested.
Comment 4 Arnaud Versini 2022-03-05 19:11:31 UTC
Bibisect done, introduced in https://cgit.freedesktop.org/libreoffice/core/commit/?id=224953d896a3dba5d85992394525ab8b54d8c314
Comment 5 Arnaud Versini 2022-03-05 19:12:04 UTC
Adding Noel in copy
Comment 6 Arnaud Versini 2022-03-05 21:23:18 UTC
Fix patch proposed : https://gerrit.libreoffice.org/c/core/+/131066
Comment 7 Commit Notification 2022-03-06 13:38:30 UTC
Arnaud VERSINI committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/82f9e12b737b3dbdf8cb9175c94d61005b666725

Fix tdf#147755 by copying the vector.

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-03-07 09:43:27 UTC
Arnaud VERSINI committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/55f3708c1a03e9e16879dec94793553b7fe25811

Fix tdf#147755 by copying the vector.

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-03-07 20:22:28 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e2d1d8006e0dfb26e1ea5d74b12036fb3dac0b1e

tdf#147755: math: Add UItest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2022-03-10 10:14:02 UTC
I guess we can close this issue as RESOLVED

@Arnaud, thanks for fixing this issue!!
Comment 11 Pierre C 2022-03-19 17:34:11 UTC
Confirmed it works fine
Thanks